scala.xml.parsing
trait TokenTests

[source: `scala/xml/parsing/TokenTests.scala`]

`` `trait` TokenTests
  `extends` AnyRef

  Helper functions for parsing XML fragments

Direct Known Subclasses:
  Utility, SystemID, PublicID, Scanner, MarkupParser

Method Summary
`def` | checkPubID (s : String) : Boolean
`def` | checkSysID (s : String) : Boolean
`def` | isName (s : String) : Boolean Name ::= ( Letter | '_' ) (NameChar) see [5] of XML 1.0 specification
`def` | isNameChar (ch : Char) : Boolean NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender see [4] and Appendix B of XML 1.0 specification
`def` | isNameStart (ch : Char) : Boolean NameStart ::= ( Letter | '_' ) where Letter means in one of the Unicode general categories { Ll, Lu, Lo, Lt, Nl } We do not allow a name to start with ':'. see [3] and Appendix B of XML 1.0 specification
`def` | isPubIDChar (ch : Char) : Boolean
`final def` | isSpace (ch : Char) : Boolean (#x20 | #x9 | #xD | #xA)
`final def` | isSpace (cs : Seq[Char]) : Boolean (#x20 | #x9 | #xD | #xA)+
`def` | isValidIANAEncoding (ianaEncoding : Seq[Char]) : Boolean Returns true if the encoding name is a valid IANA encoding. This method does not verify that there is a decoder available for this encoding, only that the characters are valid for an IANA encoding name.

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`final` `def` isSpace(ch : Char) : Boolean

  (#x20 | #x9 | #xD | #xA)

`final` `def` isSpace(cs : Seq[Char]) : Boolean

  (#x20 | #x9 | #xD | #xA)+

`` `def` isNameChar(ch : Char) : Boolean

  NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender see [4] and Appendix B of XML 1.0 specification

`` `def` isNameStart(ch : Char) : Boolean

  NameStart ::= ( Letter | '_' ) where Letter means in one of the Unicode general categories { Ll, Lu, Lo, Lt, Nl } We do not allow a name to start with ':'. see [3] and Appendix B of XML 1.0 specification

`` `def` isName(s : String) : Boolean

  Name ::= ( Letter | '_' ) (NameChar) see [5] of XML 1.0 specification

`` `def` isPubIDChar(ch : Char) : Boolean

`` `def` isValidIANAEncoding(ianaEncoding : Seq[Char]) : Boolean

  Returns true if the encoding name is a valid IANA encoding. This method does not verify that there is a decoder available for this encoding, only that the characters are valid for an IANA encoding name.

Parameters
  `ianaEncoding -` The IANA encoding name.

`` `def` checkSysID(s : String) : Boolean

`` `def` checkPubID(s : String) : Boolean